Bug 809948 - Missing Requires: WWW::Shortner::TinyURL; LWP::Protocol::https
Missing Requires: WWW::Shortner::TinyURL; LWP::Protocol::https
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: twirssi (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Julian C. Dunn
Fedora Extras Quality Assurance
:
Depends On: 810028
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 13:42 EDT by Ankur Sinha (FranciscoD)
Modified: 2012-04-19 01:21 EDT (History)
1 user (show)

See Also:
Fixed In Version: twirssi-2.5.1-3.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-14 00:34:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2012-04-04 13:42:38 EDT
Hello,

I know the package just got in: I'm really sorry to be a buzz kill :(

I just tried the F16 build from koji:

http://koji.fedoraproject.org/koji/buildinfo?buildID=311652

When I run it, according to the Readme file, I get the following error:

22:46 ***   <(^)                   TWIRSSI v2.5.1
22:46 ***    (_(\           http://twirssi.com/ for full docs
22:46 ***     || ` Log in with /twitter_login, send updates with /tweet
22:46 *** Loading WWW::Shorten::TinyURL...
22:46 ERROR: Failed to load WWW::Shorten::TinyURL - either clear
22:46 ERROR: short_url_provider or install the CPAN module

The readme does say that you need WWW::Shortner::TinyURL installed, but is the user expected to install it from CPAN? Shouldn't this be packaged for fedora and installed as a Requires? It would improve the user experience IMO. (Users dont like errors, it freaks us out ;))

Another missing Requires seems to be LWP::Protocol::https:

23:01 ERROR: Failed to get OAuth authorization_url: GET https://api.twitter.com/oauth/request_token failed: 501 Protocol scheme 'https' is not supported (LWP::Protocol::https not installed)
          at /usr/share/irssi/scripts/twirssi.pl line 896

This one's in the repos already, and just needs to be added as Requires:
perl-LWP-Protocol-https

It's working now, but I look forward to these nitpicks :)

Thanks for packaging it up,
Ankur
Comment 1 Julian C. Dunn 2012-04-04 18:15:41 EDT
You're right Ankur, when I read the code it didn't look like WWW::Shorten::* was mandatory but I realized that's because URL shortening is an "optional" feature that happens to be turned on by default. I'll be putting in a review request for perl-WWW-Shorten shortly.

And thanks for catching the dep on LWP::Protocol:https; one of those things that's not immediately apparent from the code.
Comment 2 Petr Šabata 2012-04-05 08:18:12 EDT
Good catches, Ankur!

I suppose I should try using the packages I review ;)
Comment 3 Ankur Sinha (FranciscoD) 2012-04-05 11:06:51 EDT
(In reply to comment #2)
> Good catches, Ankur!
> 
> I suppose I should try using the packages I review ;)

Hehe, it isn't always possible :)

(In reply to comment #1)
> You're right Ankur, when I read the code it didn't look like WWW::Shorten::*
> was mandatory but I realized that's because URL shortening is an "optional"
> feature that happens to be turned on by default. I'll be putting in a review
> request for perl-WWW-Shorten shortly.
> 
> And thanks for catching the dep on LWP::Protocol:https; one of those things
> that's not immediately apparent from the code.

Sure :) 

I really look forward to the fixes. I'll give karma as soon as the packages hit -testing.

Thanks,
Ankur
Comment 4 Fedora Update System 2012-04-09 13:45:04 EDT
twirssi-2.5.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/twirssi-2.5.1-3.fc17
Comment 5 Fedora Update System 2012-04-09 13:52:38 EDT
twirssi-2.5.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/twirssi-2.5.1-3.fc16
Comment 6 Fedora Update System 2012-04-09 13:59:48 EDT
twirssi-2.5.1-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/twirssi-2.5.1-3.fc15
Comment 7 Fedora Update System 2012-04-10 16:12:38 EDT
Package twirssi-2.5.1-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing twirssi-2.5.1-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5551/twirssi-2.5.1-3.fc17
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-04-14 00:34:57 EDT
twirssi-2.5.1-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-04-19 01:20:56 EDT
twirssi-2.5.1-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-04-19 01:21:30 EDT
twirssi-2.5.1-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.